﻿/**
 *
 */


function init(){
	
	// Servletサーバアドレス
	sparql.server = "http://lod.hozo.jp";
//	sparql.server = "http://localhost:8080";

	// 検索対象エンドポイント（途中での改行は不可）
	sparql.endpoint = {"endpoint": "http://dbpedia.org/sparql","namespaces": "http://dbpedia.org/class,http://dbpedia.org/instance,http://dbpedia.org/resource"};

	
	
	// 固定検索条件
	// 改行は含めない．この例では，検索対象を「全国の地域限定ゆるキャラ」に限定
	//sparql.sparqlConditionHead = "{?s <http://dbpedia.org/ontology/wikiPageWikiLink> ?o.?o <http://www.w3.org/2004/02/skos/core#broader> <http://ja.dbpedia.org/resource/Category:地域限定のマスコット>.}";



	// 検索条件述語
	sparql.predicates = [
			{"label":"ID",       "subject":"ID"},
			{"label":"ラベル",   "pred":"<http://www.w3.org/2000/01/rdf-schema#label>"},
			{"label":"コメント", "pred":"<http://www.w3.org/2000/01/rdf-schema#comment>"},
			{"label":"タイプ", "pred":"<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>"},
			];

	// 表示項目
	
	sparql.viewPreds = {"link":true, //参照可能(dereferencable)な URI が提供されていないときは"false"に変更することを推奨
			"data":[
			//{"label":"ID",        "valiable":"subject"}, //IDのURIを表示したいとき
			//	{"label":"ID",        "valiable":"subject", "link":false}, //URIをハイパーリンクとしないとき
				{"label":"名前",      "valiable":"name",   "pred":"<http://www.w3.org/2000/01/rdf-schema#label>"},
				{"label":"コメント",  "valiable":"comment","pred":"<http://www.w3.org/2000/01/rdf-schema#comment>"},
				{"label":"タイプ", "pred":"<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>"},
    			{"label":"参照",      "valiable":"sameas", "pred":"<http://www.w3.org/2000/01/rdf-schema#seeAlso>", "link":true},
      			//	{"label":"タイプ",  "valiable":"type","pred":"<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>"},
      			//	{"label":"関連リンク","valiable":"link",   "pred":"<http://dbpedia.org/ontology/wikiPageWikiLink>"},

		]
	};


	// 特定検索条件リスト
/*
	sparql.menuCondition = [
		{"label": "ComicsCreator(1543)", "query":"[{\"matchType\":1,\"predicate\":\"<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>\",\"type\":\"part\",\"word\":\"ComicsCreator\"}]"},
		{"label": "MusicalArtist(14535)", "query":"[{\"matchType\":1,\"predicate\":\"<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>\",\"type\":\"part\",\"word\":\"MusicalArtist\"}]"},
		{"label": "SoccerPlayer(12092)", "query":"[{\"matchType\":1,\"predicate\":\"<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>\",\"type\":\"part\",\"word\":\"SoccerPlayer\"}]"},
    ];
*/

	sparql.init();
	
	sparql.addCondition(0);
}

